Index: /trunk/SRC/Interpolation/map_npoints.pro
===================================================================
--- /trunk/SRC/Interpolation/map_npoints.pro	(revision 100)
+++ /trunk/SRC/Interpolation/map_npoints.pro	(revision 101)
@@ -1,8 +1,6 @@
 ;+
-; NAME:
-;	Map_nPoints
 ;
-; PURPOSE:
-;	Return the distance in meter between all np0 points P0 and all
+; @file_comments
+;Return the distance in meter between all np0 points P0 and all
 ;       np1 points P1 on a sphere. If keyword /TWO_BY_TWO is given then
 ;       returns the distances between number n of P0 points and number
@@ -11,31 +9,25 @@
 ;       without do loop.
 ;
-; CATEGORY:
-;	Maps.
+; @categories Maps
 ;
-; CALLING SEQUENCE:
-;	Result = Map_nPoints(lon0, lat0, lon1, lat1)
+; @examples 
+;Result = Map_nPoints(lon0, lat0, lon1, lat1)
 ;
-; INPUTS:
-;	Lon0, Lat0 = np0 elements vector. longitudes and latitudes of
-;	np0 points P0 
-;	Lon1, Lat1 = np1 elements vector. longitude and latitude of
-;	np1 points P1 
+;@param Lon0 Lat0  {in}{required} np0 elements vector. longitudes and latitudes of np0 points P0 
+;@param Lon1 Lat1  {in}{required}  np1 elements vector. longitude and latitude of np1 points P1 
 ;
-; KEYWORD PARAMETERS:
-;
-;   AZIMUTH: A named variable that will receive the azimuth of the great
+; @keyword   AZIMUTH A named variable that will receive the azimuth of the great
 ;       circle  connecting the two points, P0 to P1
-;   /MIDDLE: to get the longitude/latitude of the middle point betwen P0 and P1.
-;   RADIANS = if set, inputs and angular outputs are in radians, otherwise
-;	degrees.
-;   RADIUS: If given, return the distance between the two points
-;	calculated using the given radius.
+; @keyword   /MIDDLE to get the longitude/latitude of the middle point betwen P0 and P1.
+; @keyword   RADIANS = if set, inputs and angular outputs are in radians, otherwise
+;degrees.
+; @keyword   RADIUS If given, return the distance between the two points
+;calculated using the given radius.
 ;       Default value is the earth radius : 6378206.4d0
-;   TWO_BY_TWO:If given,then Map_nPoints returns the distances between
+; @keyword   TWO_BY_TWO:If given,then Map_nPoints returns the distances between
 ;       number n of P0 points and number n of P1 points (in that case,
 ;       np0 and np1 must be equal).
 ;
-; OUTPUTS:
+; @returns
 ;       An (np0,np1) array giving the distance in meter between np0
 ;       points P0 and np1 points P1. Element (i,j) of the ouput is the
@@ -46,53 +38,53 @@
 ;       if /MIDDLE see this keyword.
 ;
-; EXAMPLES:
-;	IDL> print, $
-;	map_npoints([-105.15,1],[40.02,1],[-0.07,100,50],[51.30,20,0])
-;	       7551369.3       5600334.8
-;	       12864354.       10921254.
-;	       14919237.       5455558.8
-;	
-;	IDL> lon0 = [-10, 20, 100]
-;	IDL> lat0 = [0, -10, 45]
-;	IDL> lon1 = [10, 60, 280]
-;	IDL> lat1 = [0, 10, 45]
-;	IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi)
-;	IDL> help, dist, azi
-;	DIST            DOUBLE    = Array[3, 3]
-;	AZI             DOUBLE    = Array[3, 3]
-;	IDL> print, dist[4*lindgen(3)], azi[4*lindgen(3)]
-;	       2226414.0       4957944.5       10018863.
-;	       90.000000       64.494450   4.9615627e-15
-;	IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
-;	IDL> help, dist, azi
-;	DIST            DOUBLE    = Array[3]
-;	AZI             DOUBLE    = Array[3]
-;	IDL> print, dist, azi
-;	       2226414.0       4957944.5       10018863.
-;	       90.000000       64.494450   4.9615627e-15
-;	IDL> print, map_2points(lon0[0], lat0[0], lon1[0], lat1[0])
-;	       20.000000       90.000000
-;	IDL> print, map_npoints(lon0[0], lat0[0], lon1[0], lat1[0], azi=azi)/6378206.4d0 / !dtor, azi
-;	       20.000000
-;	       90.000000
+; @examples
+;IDL> print, $
+;map_npoints([-105.15,1],[40.02,1],[-0.07,100,50],[51.30,20,0])
+;       7551369.3       5600334.8
+;       12864354.       10921254.
+;       14919237.       5455558.8
 ;
-;	IDL> lon0 = [-10, 20, 100]
-;	IDL> lat0 = [0, -10, 45]
-;	IDL> lon1 = [10, 60, 280]
-;	IDL> lat1 = [0, 10, 45]
-;	IDL> mid = map_npoints(lon0, lat0, lon1, lat1, /middle, /two_by_two)
-;	IDL> print, reform(mid[0,*]), reform(mid[1,*])
-;	       0.0000000       40.000000       190.00000
-;	       0.0000000  -1.5902773e-15       90.000000
-;	IDL> print, (map_2points(lon0[0], lat0[0], lon1[0], lat1[0], npath = 3))[*, 1]
-;	       0.0000000       0.0000000
-;	IDL> print, (map_2points(lon0[1], lat0[1], lon1[1], lat1[1], npath = 3))[*, 1]
-;	       40.000000  -1.5902773e-15
-;	IDL> print, (map_2points(lon0[2], lat0[2], lon1[2], lat1[2], npath = 3))[*, 1]
-;	       190.00000       90.000000
-;	
-; MODIFICATION HISTORY:
+;IDL> lon0 = [-10, 20, 100]
+;IDL> lat0 = [0, -10, 45]
+;IDL> lon1 = [10, 60, 280]
+;IDL> lat1 = [0, 10, 45]
+;IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi)
+;IDL> help, dist, azi
+;DIST            DOUBLE    = Array[3, 3]
+;AZI             DOUBLE    = Array[3, 3]
+;IDL> print, dist[4*lindgen(3)], azi[4*lindgen(3)]
+;       2226414.0       4957944.5       10018863.
+;       90.000000       64.494450   4.9615627e-15
+;IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
+;IDL> help, dist, azi
+;DIST            DOUBLE    = Array[3]
+;AZI             DOUBLE    = Array[3]
+;IDL> print, dist, azi
+;       2226414.0       4957944.5       10018863.
+;       90.000000       64.494450   4.9615627e-15
+;IDL> print, map_2points(lon0[0], lat0[0], lon1[0], lat1[0])
+;       20.000000       90.000000
+;IDL> print, map_npoints(lon0[0], lat0[0], lon1[0], lat1[0], azi=azi)/6378206.4d0 / !dtor, azi
+;       20.000000
+;       90.000000
+;
+;IDL> lon0 = [-10, 20, 100]
+;IDL> lat0 = [0, -10, 45]
+;IDL> lon1 = [10, 60, 280]
+;IDL> lat1 = [0, 10, 45]
+;IDL> mid = map_npoints(lon0, lat0, lon1, lat1, /middle, /two_by_two)
+;IDL> print, reform(mid[0,*]), reform(mid[1,*])
+;       0.0000000       40.000000       190.00000
+;       0.0000000  -1.5902773e-15       90.000000
+;IDL> print, (map_2points(lon0[0], lat0[0], lon1[0], lat1[0], npath = 3))[*, 1]
+;       0.0000000       0.0000000
+;IDL> print, (map_2points(lon0[1], lat0[1], lon1[1], lat1[1], npath = 3))[*, 1]
+;       40.000000  -1.5902773e-15
+;IDL> print, (map_2points(lon0[2], lat0[2], lon1[2], lat1[2], npath = 3))[*, 1]
+;       190.00000       90.000000
+;
+; @history
 ;       Based on the IDL function map_2points.pro,v 1.6 2001/01/15
-; 	Sebastien Masson (smasson@lodyc.jussieu.fr)
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                  October 2003
 ;-
Index: /trunk/SRC/Interpolation/neighbor.pro
===================================================================
--- /trunk/SRC/Interpolation/neighbor.pro	(revision 100)
+++ /trunk/SRC/Interpolation/neighbor.pro	(revision 101)
@@ -1,33 +1,27 @@
 ;+
-; NAME:
-;	neighbor
 ;
-; PURPOSE:
-;	find the closetest point of (P0) within a list of np1 points
-;	P1 Which can be on a sphere 
+; @file_comments
+;find the closetest point of (P0) within a list of np1 points
+;P1 Which can be on a sphere 
 ;
-; CATEGORY:
-;	Maps.
+; @categories Maps
 ;
-; CALLING SEQUENCE:
-;	Result = neighbor(lon0, lat0, lon1, lat1)
+; @examples 
+; IDL> Result = neighbor(lon0, lat0, lon1, lat1)
 ;
-; INPUTS:
-;	Lon0, Lat0 = scalar. longitudes and latitudes of point P0. 
-;	Lon1, Lat1 = np1 elements vector. longitude and latitude of
-;	np1 points P1 
+;@param p0lon {in}{required}  scalar. longitudes of point P0. 
+;@param p0lat  {in}{required}  scalar. latitudes of point P0. 
 ;
-; KEYWORD PARAMETERS:
-;   RADIANS = if set, inputs and angular outputs are in radians, otherwise
-;	degrees.
-;   DISTANCE = dis, to get back the distances between P0 and the np1
+; @keyword   RADIANS if set, inputs and angular outputs are in radians, otherwise
+;degrees.
+; @keyword   DISTANCE dis, to get back the distances between P0 and the np1
 ;   points P1 in the variable dis.
-;   /SPHERE to activate if points are located on a sphere.
+; @keyword   /SPHERE to activate if points are located on a sphere.
 ;
-; OUTPUTS:
+; @returns
 ;       index giving the P1[index] point that is the closetest point
 ;       of (P0)
 ;
-; EXAMPLES:
+; @examples
 ;       IDL> print, neighbor(-105.15,40.02,[-0.07,100,50],[51.30,20,0], $
 ;            distance=dis)
@@ -36,6 +30,6 @@
 ;             105.684      206.125      160.228
 ;
-; MODIFICATION HISTORY:
-; 	Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                  October 2003
 ;-
Index: /trunk/SRC/Interpolation/quadrilateral2square.pro
===================================================================
--- /trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 100)
+++ /trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 101)
@@ -1,6 +1,5 @@
 ;+
-; NAME:quadrilateral2square
 ;
-; PURPOSE:warm (or map) an arbitrary quadrilateral onto a unit square 
+; @file_comments warm (or map) an arbitrary quadrilateral onto a unit square 
 ; according to the 4-point correspondences:
 ;       (x0,y0) -> (0,0)
@@ -13,25 +12,28 @@
 ; mappings. see ref. bellow.
 ;
-; CATEGORY:image/grid manipulation
+; @categories image, grid manipulation
 ;
-; CALLING SEQUENCE:
+; @examples 
 ;
 ;     res = square2quadrilateral(x0,y0,x1,y1,x2,y2,x3,y3,xin,yin)
 ; 
-; INPUTS:
-;
-;     x0,y0,x1,y1,x2,y2,x3,y3 the coordinates of the quadrilateral
+;     @param x0in {in}{required}  the coordinates of the quadrilateral
+;     @param y0in {in}{required}  the coordinates of the quadrilateral
+;     @param x1in {in}{required}  the coordinates of the quadrilateral
+;     @param y1in {in}{required}  the coordinates of the quadrilateral
+;     @param x2in {in}{required}  the coordinates of the quadrilateral
+;     @param y2in {in}{required}  the coordinates of the quadrilateral
+;     @param x3in {in}{required}  the coordinates of the quadrilateral
+;     @param y3in  {in}{required}  the coordinates of the quadrilateral
 ;     (see above for correspondance with the unit square). Can be
 ;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
 ;     given in the anticlockwise order.
 ;
-;     xin,yin:the coordinates of the point(s) for which we want to do the
+;     @param xxin {in}{required} the coordinates of the point(s) for which we want to do the
+;     mapping. Can be scalar or array.
+;     @param yyin {in}{required} the coordinates of the point(s) for which we want to do the
 ;     mapping. Can be scalar or array.
 ;
-; KEYWORD PARAMETERS:
-;
-;    /DOUBLE: use double precision to perform the computation 
-;
-; OUTPUTS:
+; @returns
 ;
 ;     (2,n) array: the new coodinates (xout, yout) of the (xin,yin)
@@ -41,12 +43,8 @@
 ;     elements of xin.
 ;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS: I think degenerated quadrilateral (e.g. flat of
+; @restrictions I think degenerated quadrilateral (e.g. flat of
 ; twisted) is not work. This has to be tested.
 ;
-; EXAMPLE:
+; @examples 
 ;
 ; IDL> splot,[0,5],[0,3],/nodata,xstyle=1,ystyle=1
@@ -60,6 +58,6 @@
 ; IDL> tracegrille, reform(inorg[0,*],11,11), reform(inorg[1,*],11,11),color=indgen(12)*20
 ;
-; MODIFICATION HISTORY:
-;      Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      August 2003
 ;      Based on "Digital Image Warping" by G. Wolberg
Index: /trunk/SRC/Interpolation/spl_fstdrv.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 100)
+++ /trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 101)
@@ -3,7 +3,6 @@
 ;------------------------------------------------------------
 ;+
-; NAME:spl_fstdrv
 ;
-; PURPOSE: SPL_FSTDRV returns the values of the first derivative of
+; @file_comments SPL_FSTDRV returns the values of the first derivative of
 ; the interpolating function at the points X2i. it is a double
 ; precision array.
@@ -15,37 +14,24 @@
 ; in a way that interpolated value are also in ascending order
 ;
-; CATEGORY:
+; @examples  y2 =  spl_fstdrv(x, y, yscd, x2)
 ;
-; CALLING SEQUENCE: y2 =  spl_fstdrv(x, y, yscd, x2)
-;
-; INPUTS:
-;
-;    x: An n-element (at least 2) input vector that specifies the
+;    @param x {in}{required}  An n-element (at least 2) input vector that specifies the
 ;    tabulate points in ascending order.
 ;
-;    y: f(x) = y. An n-element input vector that specifies the values
+;    @param y {in}{required}  f(x) = y. An n-element input vector that specifies the values
 ;    of the tabulated function F(Xi) corresponding to Xi.
 ;
-;    yscd: The output from SPL_INIT for the specified X and Y.
+;    @param yscd {in}{required}  The output from SPL_INIT for the specified X and Y.
 ;
-;    x2: The input values for which the first derivative values are
+;    @param x2 {in}{required}  The input values for which the first derivative values are
 ;    desired. X can be scalar or an array of values.
 
-; KEYWORD PARAMETERS: none
-;
-; OUTPUTS: 
+; @returns 
 ;
 ;    y2: f'(x2) = y2. 
 ;
-; COMMON BLOCKS: none
 ;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS: ?
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:
-;  Sebastien Masson (smasson@lodyc.jussieu.fr): May 2005
+; @history
+;  Sebastien Masson (smasson\@lodyc.jussieu.fr): May 2005
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/Interpolation/spl_incr.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_incr.pro	(revision 100)
+++ /trunk/SRC/Interpolation/spl_incr.pro	(revision 101)
@@ -3,7 +3,6 @@
 ;------------------------------------------------------------
 ;+
-; NAME:spl_incr
-;
-; PURPOSE:
+;
+; @file_comments
 ;
 ; Given the arrays X and Y, which tabulate a function (with the X[i]
@@ -13,44 +12,29 @@
 ; in a way that interpolated values are also monotonically increasing.
 ;
-; CATEGORY:
-;
-; CALLING SEQUENCE: y2 =  spl_incr(x, y, x2)
-;
-; INPUTS:
-;
-;    x: An n-element (at least 2) input vector that specifies the
+; @examples  y2 =  spl_incr(x, y, x2)
+;
+; @param x1 {in}{required}  An n-element (at least 2) input vector that specifies the
 ;    tabulate points in a strict ascending order.
 ;
-;    y: f(x) = y. An n-element input vector that specifies the values
+;    @param y1 {in}{required}  f(x) = y. An n-element input vector that specifies the values
 ;    of the tabulated function F(Xi) corresponding to Xi. As f is
 ;    supposed to be monotonically increasing, y values must be
 ;    monotonically increasing. y can have equal consecutive values.
 ;
-;    x2: The input values for which the interpolated values are
+;    @param x2 {in}{required}  The input values for which the interpolated values are
 ;    desired. Its values must be strictly monotonically increasing. 
 ;
-; KEYWORD PARAMETERS:
-;
-;    YP0: The first derivative of the interpolating function at the
-;    point X0. If YP0 is omitted, the second derivative at the
-;    boundary is set to zero, resulting in a "natural spline."
-;
-;    YPN_1: The first derivative of the interpolating function at the
-;    point Xn-1. If YPN_1 is omitted, the second derivative at the
-;    boundary is set to zero, resulting in a "natural spline." 
-;
-; OUTPUTS: 
+;
+;
+;
+; @returns 
 ;
 ;    y2: f(x2) = y2. Double precision array
 ;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS:
+; @restrictions
 ;   It might be possible that y2[i+1]-y2[i] has very small negative
 ;   values (amplitude smaller than 1.e-6)...
 ;
-; EXAMPLE:
+; @examples 
 ;
 ;     n = 100L
@@ -73,6 +57,6 @@
 ;     oplot,[0, n_elements(c)], [0, 0], linestyle = 1
 ;
-; MODIFICATION HISTORY:
-;  Sebastien Masson (smasson@lodyc.jussieu.fr): May-Dec 2005
+; @history
+;  Sebastien Masson (smasson\@lodyc.jussieu.fr): May-Dec 2005
 ;-
 ;------------------------------------------------------------
@@ -112,4 +96,12 @@
 END
 
+;+
+; @keyword    YP0 The first derivative of the interpolating function at the
+;    point X0. If YP0 is omitted, the second derivative at the
+;    boundary is set to zero, resulting in a "natural spline."
+; @keyword    YPN_1 The first derivative of the interpolating function at the
+;    point Xn-1. If YPN_1 is omitted, the second derivative at the
+;    boundary is set to zero, resulting in a "natural spline." 
+;-
 FUNCTION spl_incr, x, y, x2, YP0 = yp0, YPN_1 = ypn_1
 ;
Index: /trunk/SRC/Interpolation/spl_keep_mean.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 100)
+++ /trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 101)
@@ -3,7 +3,5 @@
 ;------------------------------------------------------------
 ;+
-; NAME:spl_keep_mean
-;
-; PURPOSE:
+; @file_comments
 ;
 ; Given the arrays X and Y, which tabulate a function (with the X[i]
@@ -16,48 +14,39 @@
 ; data equa to the original values)
 ;
-; CATEGORY:
+; @examples  y2 =  spl_keep_mean(x, y, x2)
 ;
-; CALLING SEQUENCE: y2 =  spl_keep_mean(x, y, x2)
-;
-; INPUTS:
-;
-;    x: An n-element (at least 2) input vector that specifies the
+;    @param x {in}{required}  An n-element (at least 2) input vector that specifies the
 ;    tabulate points in a strict ascending order.
 ;
-;    y: an array with one element less than x. y[i] represents the
+;    @param yin {in}{required}  an array with one element less than x. y[i] represents the
 ;    mean value between x[i] and x[i+1]. if /GE0 is activated, y must
 ;    have positive values.
 ;
-;    x2: The input values for which the interpolated values are
+;    @param x2 {in}{required}  The input values for which the interpolated values are
 ;    desired. Its values must be strictly monotonically increasing. 
 ;
-; KEYWORD PARAMETERS:
 ;
-;    /GE0: to force that y2 is always GE than 0. In that case, y must
+; @keyword    /GE0 to force that y2 is always GE than 0. In that case, y must
 ;    also be GE than 0.
 ;
-;    YP0: The first derivative of the interpolating function at the
+; @keyword    YP0 The first derivative of the interpolating function at the
 ;    point X0. If YP0 is omitted, the second derivative at the
 ;    boundary is set to zero, resulting in a "natural spline."
 ;
-;    YPN_1: The first derivative of the interpolating function at the
+; @keyword    YPN_1 The first derivative of the interpolating function at the
 ;    point Xn-1. If YPN_1 is omitted, the second derivative at the
 ;    boundary is set to zero, resulting in a "natural spline." 
 ;
-; OUTPUTS: 
+; @returns 
 ;
 ;    y2: the meean value between two consecutive values of x2. This
 ;    array has one element less than y2. y2 has double precision.
 ;
-; COMMON BLOCKS: none
-;
-; SIDE EFFECTS: ?
-;
-; RESTRICTIONS:
+; @restrictions
 ;   It might be possible that y2 has very small negative values
 ;   (amplitude smaller than 1.e-6)... 
 ;
 ;
-; EXAMPLE:
+; @examples 
 ;
 ;    12 monthly values of precipitations into daily values:
@@ -81,6 +70,6 @@
 ;    print, total(y2*(x2[1:n2-1]-x2[0:n2-2]))
 ;
-; MODIFICATION HISTORY:
-;  Sebastien Masson (smasson@lodyc.jussieu.fr): May 2005
+; @history
+;  Sebastien Masson (smasson\@lodyc.jussieu.fr): May 2005
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- /trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 100)
+++ /trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 101)
@@ -1,6 +1,5 @@
 ;+
-; NAME:square2quadrilateral
-;
-; PURPOSE:warm (or map) a unit square onto an arbitrary quadrilateral
+;
+; @file_comments warm (or map) a unit square onto an arbitrary quadrilateral
 ; according to the 4-point correspondences:
 ;       (0,0) -> (x0,y0)
@@ -12,25 +11,50 @@
 ; mappings. see ref. bellow.
 ;
-; CATEGORY:image/grid manipulation
-;
-; CALLING SEQUENCE:
+; @categories image, grid manipulation
+;
+; @examples 
 ;
 ;     res = square2quadrilateral(x0,y0,x1,y1,x2,y2,x3,y3[,xin,yin])
 ; 
-; INPUTS:
-;
-;     x0,y0,x1,y1,x2,y2,x3,y3 the coordinates of the quadrilateral
-;     (see above for correspondance with the unit square). Can be
-;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
-;     given in the anticlockwise order.
-;
-;     xin,yin:the coordinates of the point(s) for which we want to do the
+FUNCTION square2quadrilateral, x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin
+;     @param x0in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y0in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param x1in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y1in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param x2in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y2in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param x3in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y3in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;
+;     @param xxin {in}{required} the coordinates of the point(s) for which we want to do the
 ;     mapping. Can be scalar or array.
-;
-; KEYWORD PARAMETERS:
-;
-;    /DOUBLE: use double precision to perform the computation 
-;
-; OUTPUTS:
+;     @param yyin {in}{required} the coordinates of the point(s) for which we want to do the
+;     mapping. Can be scalar or array.
+;
+; @returns
 ;
 ;     (2,n) array: the new coodinates (xout, yout) of the (xin,yin)
@@ -42,12 +66,9 @@
 ;     matrix A which is used for the inverse transformation. 
 ;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS: I think degenerated quadrilateral (e.g. flat of
+;
+; @restrictions I think degenerated quadrilateral (e.g. flat of
 ; twisted) is not work. This has to be tested.
 ;
-; EXAMPLE:
+; @examples 
 ;
 ; IDL> splot,[0,5],[0,3],/nodata,xstyle=1,ystyle=1
@@ -58,6 +79,6 @@
 ; IDL> tracegrille, reform(out[0,*],11,11), reform(out[1,*],11,11),color=indgen(12)*20
 ;
-; MODIFICATION HISTORY:
-;      Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      August 2003
 ;      Based on "Digital Image Warping" by G. Wolberg
Index: /trunk/SRC/Interpolation/testinterp.pro
===================================================================
--- /trunk/SRC/Interpolation/testinterp.pro	(revision 100)
+++ /trunk/SRC/Interpolation/testinterp.pro	(revision 101)
@@ -1,2 +1,4 @@
+;+
+;-
 PRO testinterp
 
